Apps
View as MarkdownCreate, read, update, and delete apps.
Authorization
oauth2 hosting.paas.apps:readGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:read
Response Body
application/json
application/json
curl -X GET "https://example.com/apps"{ "apps": [ { "id": "string", "name": "string", "status": "string", "createdAt": "string", "updatedAt": "string", "urls": { "preview": "string", "publish": "string" }, "variants": [ { "name": "string", "status": "string" } ] } ]}Authorization
oauth2 hosting.paas.apps:createGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:create
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/apps" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "job": { "id": "string", "status": "pending" }}Authorization
oauth2 hosting.paas.apps:createGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:create
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/apps/jobs/string"{ "job": { "id": "string", "status": "pending" }, "app": { "id": "string", "name": "string", "status": "string", "createdAt": "string", "updatedAt": "string", "urls": { "preview": "string", "publish": "string" }, "variants": [ { "name": "string", "status": "string" } ], "variantsWithLifecycle": [ { "variant": "string", "status": "string", "lifecycleState": "string" } ] }}Authorization
oauth2 hosting.paas.apps:readGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:read
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string"{ "app": { "id": "string", "name": "string", "status": "string", "createdAt": "string", "updatedAt": "string", "urls": { "preview": "string", "publish": "string" }, "variants": [ { "name": "string", "status": "string" } ], "variantsWithLifecycle": [ { "variant": "string", "status": "string", "lifecycleState": "string" } ] }}Authorization
oauth2 hosting.paas.apps:updateGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:update
Path Parameters
Request Body
application/json
At least one of name or rootPath must be provided.
1 <= propertiesResponse Body
application/json
application/json
curl -X PATCH "https://example.com/apps/string" \ -H "Content-Type: application/json" \ -d '{}'{ "app": { "id": "string", "name": "string", "status": "string", "createdAt": "string", "updatedAt": "string", "urls": { "preview": "string", "publish": "string" }, "variants": [ { "name": "string", "status": "string" } ], "variantsWithLifecycle": [ { "variant": "string", "status": "string", "lifecycleState": "string" } ] }}Authorization
oauth2 hosting.paas.apps:deleteGoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:delete
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/apps/string"Agent & Automation Notes
hosting.paas.apps:read, hosting.paas.apps:create, hosting.paas.apps:update, hosting.paas.apps:delete, hosting.paas.code:write, hosting.paas.deploy:execute, hosting.paas.secrets:write, hosting.paas.logs:readRelated
Last updated on
How is this guide?